Package org.apache.jmeter.save.converters

# Class TestElementPropertyConverter

java.lang.Object
com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
org.apache.jmeter.save.converters.TestElementPropertyConverter

All Implemented Interfaces:
  `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`

public class TestElementPropertyConverter extends com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestElementPropertyConverter(com.thoughtworks.xstream.mapper.Mapper arg0)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canConvert(Class arg0)`
  `static String`
  `getVersion()`
  Returns the converter version; used to check for possible incompatibilities
  `void`
  `marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
  `Object`
  `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

  ### Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter

  `createCollection, mapper, readBareItem, readCompleteItem, readItem, writeBareItem, writeCompleteItem, writeItem, writeNullItem`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestElementPropertyConverter

    public TestElementPropertyConverter(com.thoughtworks.xstream.mapper.Mapper arg0)
    Parameters:
      `arg0` - the mapper

- ## Method Details

  - ### getVersion

    public static String getVersion()
    Returns the converter version; used to check for possible incompatibilities
    Returns:
      the version of this converter

  - ### canConvert

    public boolean canConvert(Class arg0)
    Specified by:
      `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`
    Specified by:
      `canConvert` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

  - ### marshal

    public void marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)
    Specified by:
      `marshal` in interface `com.thoughtworks.xstream.converters.Converter`
    Specified by:
      `marshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`

  - ### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)
    Specified by:
      `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`
    Specified by:
      `unmarshal` in class `com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter`